## thesias 3.1.1

=== Makefile ===
#!/usr/bin/make -f

CC       ?= gcc
CFLAGS   ?= -O2
CPPFLAGS ?=
LDFLAGS  ?=

JAVA_HOME    ?=/usr/lib/jvm/default-java
UNAME_S      ?=$(shell uname -s | tr '[:upper:]' '[:lower:]')

LIBNAME   =libthesiaslib
SOVERSION =0
SONAME    =${LIBNAME}.so.${SOVERSION}

CFLAGS   += -fPIC -I${JAVA_HOME}/include -I${JAVA_HOME}/include/${UNAME_S}/
CPPFLAGS +=
LDFLAGS  += -shared -fPIC

ifeq ($(UNAME_S), darwin)
	LDFLAGS += -Wl,-install_name,${SONAME}
else
	LDFLAGS += -Wl,-soname,${SONAME}
endif

export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8

PREFIX = /usr

all: thesias

thesias: libthesiaslib.so thesias.jar

libthesiaslib.so:
	${CC} ${CPPFLAGS} ${CFLAGS} -c src/*.c
	${CC} ${LDFLAGS} *.o -o ${SONAME}

thesias.jar:
	javac -d class java/*.java
	jar cfe thesias.jar GraficT -C class . -C misc LogoThesias.png

.PHONY: clean install uninstall

install:
	install -d $(DESTDIR)$(PREFIX)/lib/jni/
	install ${SONAME} $(DESTDIR)$(PREFIX)/lib/jni/
	install -d $(DESTDIR)$(PREFIX)/share/java/
	install thesias.jar $(DESTDIR)$(PREFIX)/share/java/
	install -d $(DESTDIR)$(PREFIX)/bin/
	install misc/THESIAS $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install misc/THESIAS.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	ln -s $(DESTDIR)$(PREFIX)/lib/jni/${SONAME} $(DESTDIR)$(PREFIX)/lib/jni/${LIBNAME}.so

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/lib/jni/${SONAME}
	rm -f $(DESTDIR)$(PREFIX)/lib/jni/${LIBNAME}.so
	rm -f $(DESTDIR)$(PREFIX)/share/java/thesias.jar
	rm -f $(DESTDIR)$(PREFIX)/bin/THESIAS
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/THESIAS.1

clean:
	rm -f *.o
	rm -f *.so
	rm -f *.so.*
	rm -f *.jar
	rm -rf class/

=== debian/changelog ===
thesias (3.1.1-4) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097993)
  * d/copyright: remove the old FSF address.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: remove redundant Rules-Requires-Root.
  * d/watch: move to v5 watch file.
    The Github template was initially considered but didn't catch any
    upstream releases somehow.
  * d/u/metadata: fill bug and repository metadata.

 -- Étienne Mollier <emollier@debian.org>  Tue, 23 Sep 2025 21:31:23 +0200

thesias (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * fixup-implicit-function-declaration.patch: fix declaration.
    The initial implementation of the patch declared mismatching types
    with (what looks like) Java bindings declared in src/thesiaslib.h.
    (Closes: #1075571)

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 22:07:32 +0200

thesias (3.1.1-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with implicit-function-declaration (Closes: #1066499)
    + Thanks to Chirag Sukhala for the patch
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 14 Apr 2024 01:23:14 +0530

thesias (3.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 20 Jan 2020 20:17:11 +0100

thesias (3.1+git20200112-1) unstable; urgency=medium

  * Initial Debian Release. (Closes: #948654)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Jan 2020 11:05:21 +0100

=== debian/control ===
Source: thesias
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/thesias
Vcs-Git: https://salsa.debian.org/med-team/thesias.git
Homepage: https://github.com/daissi/thesias

Package: thesias
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-jre
Description: Testing Haplotype Effects In Association Studies
 The objectif of the THESIAS program is to performed haplotype-based
 association analysis in unrelated individuals. This program is based
 on the maximum likelihood model described in Tregouet et al. 2002
 (Hum Mol Genet 2002,11: 2015-2023) and is linked to the SEM algorithm
 (Tregouet et al. Ann Hum Genet 2004,68: 165-177).
 THESIAS allows one to simultaneous estimate haplotype frequencies
 and their associate effects on the phenotype of interest.
 In this new THESIAS release, quantitative, qualitative (logistic
 and matched-pair analysis), categorical and survival outcomes can be
 studied. X-linked haplotype analysis is also feasible.
 Covariate-adjusted haplotype effects as well as haplotype x covariate
 interactions can also be investigated.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/thesias/usr/lib/$(DEB_HOST_MULTIARCH)/jni/
	cp libthesiaslib.so.0 debian/thesias/usr/lib/$(DEB_HOST_MULTIARCH)/jni/

override_dh_link:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/jni/libthesiaslib.so.0 \
                usr/lib/$(DEB_HOST_MULTIARCH)/jni/libthesiaslib.so

=== debian/watch ===
Version: 5

Source: https://github.com/daissi/thesias/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/thesias-$1\.tar\.gz/
